Bug 171975 - Installer hangs on "Installing bootloader"
Installer hangs on "Installing bootloader"
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-10-28 11:18 EDT by Chris Lalancette
Modified: 2013-01-20 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-09 00:34:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2005-10-28 11:18:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
When installing FC4 over NFS (in text mode) on a Dell Precision Workstation 450, the installer hung while it said "Installing bootloader" (I had chosen GRUB as the booloader).  Switching to the console showed no activity on top, and it seemed that the grub command in the output of "ps -efw" was just sitting there (the command-line was "grub --batch --no-floppy --device-map=/boot/grub/device.map").  Killing the process allowed the installation to complete, but when rebooting the machine there was no OS installed.  I booted to the rescue mode on the CD, mounted the partitions, "chroot /mnt/sysimage", and then ran "/sbin/grub-install /dev/sda", at which point grub completed successfully, and I was able to reboot to the hard drive.  One other point: the hard drive I was installing to was a blank, right from the factory (i.e. it had never had any partitions on it before).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Insert FC4 disc1 into Dell Precision Workstation 450.
2.  Choose text mode install  
3.  Choose NFS install
4.  Install minimal

Actual Results:  At the "Installing bootloader" step, the installer hangs

Expected Results:  The grub installer should successfully complete.

Additional info:

Dell Precision Workstation 450
Seagate ST373454LW hard drive
Comment 1 Mandar Khanolkar 2006-02-27 01:33:43 EST

I am also facing the same kind of problem while installing Fedora Core 4 on my
machine. Here the first problem I mentioned is something different one but there
is workaround to pass problem#1. Problem#2 is describing the "Installing
Bootloader" related issue.

1 Probem:
	When I start the machine with CD#1, I get boot: promt. If I hit enter to
proceed installation it starts checking machine resorces. Here it gives me this
error followed by some exception trace.
	RAMDISK: couldn't find valid RAM disk image starting at 0.
	VFS: couldn't open root device or unknown block "NULL" or (8,3)
	After this messages it prints out some exception trace.

	If I enter some invalid value at boot: promp like "/" and enter, it gives error
that not a valid boot image. After this it shows again boot: prompt. Not if I
hit enter it proceed with instllation and doesnt give above error message
(problem#1 error).

2 Problem:
	a# After this I went ahead and selected drives for / and swap through disk
druid. I had prepared these partitions through partition magic.
	b# I selected boot loader to be installaed on /dev/hda4 (Linux partition) and
kept default starting os as windows partition.
	c# I went ahead and selected custom packages to be installed. It asked me for
all the cds one by one as installation made progress.
	d# After completing the packages installation and post installation tasks it
displayed a message box stating "Installing bootloader". Here it went wrong. It
was showing me hour-glass mouse icon but I guess it was hung. It didnt give me
any error message. Finally after waiting for a long time I restarted the machine
and my windows os started w/o showing Fedora Grab loader window.
	e# I thought it couldnt write bootloader on the /dev/hda4 linux partition as it
physically appears in the end of my hard-disk. So i repeated the whole procedure
by selecting boot loader installation on MBR (step b#). But this couldnt resole
the problem and I found the same result.
What could be the reason behind these two problems? Also any solution to get
Fedora installed on my machine without formatting existing windows partitions.

The System Details:
	MB	: Intel D865GVHZ
	CPU	: Intel P4 2.4 GHZ
	H-DISK	: Samsung 80 GB (Linux ext2 "/" and swap partitions lies at the end of
the physical hard-disk)
	RAM	: 256 + 256 Total 512 MB Comp: Hynix
Comment 2 Mandar Khanolkar 2006-03-06 09:29:39 EST
Any update on this?

Comment 3 Mandar Khanolkar 2006-03-06 09:30:09 EST
Any update on this?

Comment 4 Christian Iseli 2007-01-22 05:58:14 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 5 petrosyan 2008-03-09 00:34:39 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 6 dev 2013-01-20 17:09:42 EST
hy guys!
I am also facing a similar problem. I am trying to install fedora 18 and the installer freezes when bootloader is to be installed. The progress bar shows no reaction, other things work fine apart from response from the installer. Installation freezes in installing the boot loader stage. During installation of the software no problem is found whatsoever.

My laptop config is :
lenovo g460
360gb hard disk
2gb RAM
core i3 processor 1st generation.
h20 BIOS.

Note You need to log in before you can comment on or make changes to this bug.